/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/
/* General */
::root{
    --e-global-color-primary: #212121;
    --e-global-color-secondary: #4AFCB7;
    --e-global-color-text: #343434;
    --e-global-color-accent: #FFE9E9;
    --e-global-color-1eedafe: #E9F2FF;
    --e-global-color-d69de93: #E9FFEE;
    --e-global-color-3e06206: #FFFFFF;
    --e-global-typography-primary-font-family: "Readex Pro";
    --e-global-typography-text-font-family: "Readex Pro";
}
html, body {
    max-width: 100%;
    overflow-x: hidden;
}
::selection{
    background:var(--e-global-color-secondary);
    color: white !important;
}
::-webkit-scrollbar {
  width: 5px;
}
::-webkit-scrollbar-track {
  background: var(--e-global-color-text);
}
::-webkit-scrollbar-thumb {
  background: var(--e-global-color-secondary);
}

/* Sidebar */
.sidebar{
    width: 60px;
}
.siderbar_text{
    text-transform: uppercase;
    transform: rotate(-90deg)
}
.siderbar_text a{
    z-index: 1;
}
.siderbar_text::before{
    content: " ";
    z-index: -2;
    position: absolute;
    top: -10px;
    left: 0;
    
    width: 45px;
    height: 4px;
    
    background-color: white;
    transition: 0.5s;
}
.siderbar_text::after{
    content: " ";
    z-index: -2;
    position: absolute;
    top: 20px;
    left: 0;
    
    width: 45px;
    height: 4px;
    
    background-color: white;
    transition: 0.5s;
}
.sidebar:hover .siderbar_text::before,.sidebar:hover  .siderbar_text::after{
    height: 10px;
    transition: 0.5s;
}
.sidebar:hover .siderbar_text::before{
    top: -5px;
}
.sidebar:hover  .siderbar_text::after{
    top: 5px;
}

/* Slider */
.jet-listing-grid__slider-icon.slick-arrow{
    left: 17%;
    top: 87%;

    justify-content: center;
}
.jet-listing-grid__slider-icon.slick-arrow.next-arrow {
    right: 73%;
}
.jet-listing-grid__slider-icon.slick-arrow.next-arrow:hover svg{
    animation: arrow-anim-next 2s infinite;
}
@keyframes arrow-anim-next {
    0% {
      opacity: 1;
      transform: translateX(0);
    }
    5% {
      transform: translateX(0.1rem);
    }
    100% {
      transform: translateX(-1rem);
      color: var(--e-global-color-secondary);
      opacity: 0;
    }
  }
  .jet-listing-grid__slider-icon.slick-arrow.prev-arrow:hover svg{
    animation: arrow-anim-prev 2s infinite;
}
  @keyframes arrow-anim-prev {
    0% {
      opacity: 1;
      transform: translateX(0);
    }
    5% {
      transform: translateX(0.1rem);
    }
    100% {
      transform: translateX(-1rem);
      color: var(--e-global-color-secondary);
      opacity: 0;
    }
  }

/* Texto Oculto */
.texto-oculto .elementor-tab-title{
    text-align: center;
}

/* Listas */
.menu-categorias::before{
    content: " ";
    position: absolute;
    top: 80px;
    left: 15%;
    
    width: 80%;
    height: 1px;
    
    background: white;   
}

/* Articulos */
.inicio_mas-articulos-boton p a{
  font-style: italic;
  text-decoration: underline wavy var(--e-global-color-secondary);
}
.inicio_mas-articulos-boton:hover a{
  font-weight: 400;
}
.inicio_categoria-articulo_text h3:hover a{
  color: var(--e-global-color-secondary);
}
.esquina-articulo_efecto:after {
    z-index: 9;
    content: url("https://diario.codelop.site/wp-content/uploads/2021/12/corner-pag-2.png");
    position: absolute;
    right: 0;
    top: 0;

    transform-origin: 100% 0;
    transform: scale(0);
    transition: transform 0.3s ease;
  }
  .esquina-articulo_efecto:hover:after {
    transform: scale(1);
  }
  .categoria-articulo_text{
    display: flex;
    justify-content: right;
}
  .categoria-articulo_text h6{
    width: 90px;
    padding: 10px;
    
    text-align: center;
    background-color: white;
  }
